#ifndef CONSTANTS_H
#define CONSTANTS_H

/* global constants */
#define FLT_MIN 1.1754E-38F
#define FLT_MAX 1.1754E+38F

// menu values
const int NOTHING = -1;
const int EXIT = 0;
const int WAVE = 1;
const int JUMP = 2;
const int WALK = 3;
const int TIGER = 4;
const int CHICKEN = 5;

// Colors
const float skinColor[3] = {1, 0.97, 0.75};
const float white[3] = {1, 1, 1};
const float black[3] = {0, 0, 0};

// Max angle values
const int rfAngMax = 60;
const int rfAngMin = -80;

// body dimensions
const float bodyHt = 0.7; // the body height
const float bodyW = 0.67; // the body width
const float bodyDepth = 0.67;
const float torsoHt = 0.40; // torso height
const float torsoW = 0.67; // torso width
const float uArmHt = 0.25; // upper arm height
const float uArmW = 0.75; // upper arm width
const float thighHt = 1.0;
const float thighW = 0.4;
const float legW = 0.24;
const float legHt = 0.9;
const float legDepth = 0.24;
const float footW = 0.24;
const float footHt = 0.15;
const float footDepth = 0.4;

// neck constants
const float neckW = 0.18;
const float neckHt = 0.1;
const float neckDepth = 0.18;

// head constants
const float headW = 0.6;
const float headHt = 0.6;
const float headDepth = 0.6;

// mouth
const float mouthW = 0.4;
const float mouthHt = 0.2;
const float mouthDepth = 0;

// eye
const float eyeW = 0.14;
const float eyeHt = 0.14;
const float eyeDepth = 0;

// eyeball
const float eyeballW = 0.05;
const float eyeballHt = 0.05;
const float eyeballDepth = 0;

#endif